## com.sun.grizzly
Interface ComplexSelectorHandler

All Superinterfaces:
  AttributeHolder, Copyable, Handler, SelectorHandler, SupportStateHolder<State>

All Known Implementing Classes:
  RoundRobinSelectorHandler

    public interface ComplexSelectorHandler

extends SelectorHandler

A ComplexSelectorHandler handles all java.nio.channels.Selector operations similar way `SelectorHandler` does. But can work with several `Controller.Protocol`s at the same time.

Author:
  Alexey Stashok

Method Summary
`boolean` `supportsProtocol(Controller.Protocol protocol)` Checks if protocol is supported by RoundRobinSelectorHandler

Methods inherited from interface com.sun.grizzly.SelectorHandler

`acceptWithoutRegistration, acquireConnectorHandler, closeChannel, configureChannel, getAsyncQueueReader, getAsyncQueueWriter, getPreferredSelectionKeyHandler, getProtocolChainInstanceHandler, getSelectionKeyHandler, getSelector, isOpen, keys, onAcceptInterest, onConnectInterest, onReadInterest, onWriteInterest, pause, pipeline, postSelect, preSelect, protocol, register, register, releaseConnectorHandler, resume, select, setPipeline, setProtocolChainInstanceHandler, setSelectionKeyHandler, setSelector, shutdown`

Methods inherited from interface com.sun.grizzly.util.Copyable
`copyTo`

Methods inherited from interface com.sun.grizzly.util.AttributeHolder
`getAttribute, getAttributes, removeAttribute, setAttribute, setAttributes`

Methods inherited from interface com.sun.grizzly.util.SupportStateHolder
`getStateHolder`

Method Detail

### supportsProtocol

    boolean supportsProtocol(Controller.Protocol protocol)

  Checks if protocol is supported by RoundRobinSelectorHandler

  Parameters:
    `protocol` - Network protocol name
  Returns:
    true if protocol is supported, false otherwise

Copyright © 2008 SUN Microsystems. All Rights Reserved.